Skip to main content
API referenceRegistry

Lineage

Last updated

GET
/api/v1/lineage

Fetch maintainer-approved cross-network subnet lineage (graduated subnets + the deploying-soon testnet pipeline).

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/api/v1/lineage"
{  "data": {    "broken_link_count": 1,    "broken_links": [      {        "reason": "invalid-approval",        "source_netuid": 7,        "target_netuid": 7      }    ],    "contract_version": "2026-06-29.1",    "generated_at": "2026-06-01T00:00:00.000Z",    "graduated_subnet_count": 1,    "link_count": 1,    "links": [      {        "mainnet_netuid": 7,        "matched_by": "github_repo",        "testnet_netuid": 7      }    ],    "matched_by_counts": {      "example": 1    },    "notes": "Example description.",    "published_at": "2026-06-01T00:00:00.000Z",    "schema_version": 1,    "source_network": "example",    "target_network": "example",    "testnet_only_count": 1  },  "meta": {    "artifact_path": "example",    "cache": "short",    "contract_version": "2026-06-29.1",    "generated_at": "2026-06-01T00:00:00.000Z",    "pagination": {      "collection": "example",      "cursor": 1,      "limit": 1,      "next_cursor": 1,      "order": "asc",      "returned": 1,      "sort": "example",      "total": 1    },    "published_at": "2026-06-01T00:00:00.000Z",    "source": "live-cron-prober",    "stale_contract": {      "built_under": "example",      "live": "example"    }  },  "ok": true,  "schema_version": 1}